* PACKAGE GTINTFC  !" GTOOL3 実数精度変換インターフェース(ZULCHR)
*
*"  [HIS] 96/03/08(takepiro) 自動倍精度コンパイル禁止
*"                           整数を文字列化する時は GULCHR を直接用いること
***********************************************************************
*"         << 数を左よせで文字列化(実数専用) >>
*********************************************************************
      SUBROUTINE ZULCHR
     I         ( HFMT  , RVAL  ,
     O           HCHR  , NCHR   )
*
      CHARACTER  HFMT   *(*)             !" フォーマット
*
#ifdef AUTO_DBL
      REAL*8     RVAL                    !" 数データ(実数)
#else
      REAL*4     RVAL                    !" 数データ(実数)
#endif
*
      CHARACTER  HCHR   *(*)             !" 文字列
      INTEGER    NCHR                    !" 文字列長
*
      REAL       RVALX
*
      RVALX = RVAL
*
      CALL GULCHR
     I         ( HFMT  , RVALX ,
     O           HCHR  , NCHR   )
*
      RETURN
      END
